
some_errors <- list( no_data.frame_err = "data should be a data frame",
                     fix_min_err = "Fix min should be bigger than 0",
                     missing_fpx_err = paste0( "If rereading is TRUE, then fpx ",
                                               "should be provided"  ),
                     missing_fpy_err = paste0( "If rereading is TRUE, then fpy ",
                                               "should be provided"  ),
                     wrong_label_length = "AOI and labels lengts differ",
                     missing_colname_err = list(
                       AOI = list( single = paste0( "the value provide to AOI is not a ",
                                                    "column name of data"),
                                   multiple = paste0( "not all values provided to AOI ",
                                                     "are column names for data" ) ),
                       fpx = "The value provided to fpx is not a column name of data",
                       fpy = "The value provided to fpy is not a column name of data",
                       fixTime = "fixTime is not a column of data",
                       passes = "passes is not a column of data",
                       fixTimeVec = paste0("fixTime should be a single number or ",
                                           "character, indicating the fixation time ",
                                           "column" ),
                       passesVec = paste0("passes should be a single number or ",
                                          "character, indicating the coded passes ",
                                          "column" )
                     ),
                     coords_nonum = list(
                       fpx = "the column specified in fpx is not of type numeric",
                       fpy = "the column specified in fpy is not of type numeric"
                     ),
                     AOI_short = paste0("AOI should be a vector containing more ",
                                        "than 1 element" )
)

some_warning <- list( more_fixations = paste0( "Some rows have a fixation in ",
                                               "more than one AOI. Only the ",
                                               "first will be used" ) )

some_results <- list( compile_missing = c( "AOI1", "AOI1", "AOI2", "AOI2",
                                                   0, "AOI4", "AOI7", "AOI7",
                                                   "AOI7", "AOI7", "AOI3", 0, "AOI7",
                                                   "AOI4", "AOI4", "AOI4", "AOI5",
                                                   "AOI2", "AOI2", "AOI4", "AOI2",
                                                   "AOI1", "AOI1", "AOI6", "AOI6",
                                                   "AOI1", "AOI3", "AOI5", "AOI6",
                                                   "AOI1" ),
                      compile_labels = c( "1", "1", "2", "2", "3", "4",
                                                  "7", "7", "7", "7", "3", "3",
                                                  "7", "4", "4", "4", "5", "2",
                                                  "2", "4", "2", "1", "1", "6",
                                                  "6", "1", "3", "5", "6", "1" ),
                      regular = c( "FP_AOI1", "FP_AOI1", "FP_AOI2", "FP_AOI2",
                                   "FP_AOI3", "FP_AOI4", "FP_AOI7", "FP_AOI7",
                                   "FP_AOI7", "FP_AOI7", "FP_AOI3", "FP_AOI3",
                                   "SP_AOI7", "FP_AOI4", "FP_AOI4", "FP_AOI4",
                                   "FP_AOI5", "FP_AOI2", "FP_AOI2", "SP_AOI4",
                                   "SP_AOI2", "FP_AOI1", "FP_AOI1", "FP_AOI6",
                                   "FP_AOI6", "SP_AOI1", "SP_AOI3", "FP_AOI5",
                                   "FP_AOI6", "SP_AOI1" ),
                      zeros = c( "FP_AOI1", "FP_AOI1", "FP_AOI2", "FP_AOI2",
                                 "0", "FP_AOI4", "FP_AOI7", "FP_AOI7",
                                 "FP_AOI7", "FP_AOI7", "0", "0",
                                 "SP_AOI7", "FP_AOI4", "FP_AOI4", "FP_AOI4",
                                 "FP_AOI5", "FP_AOI2", "FP_AOI2", "SP_AOI4",
                                 "SP_AOI2", "FP_AOI1", "FP_AOI1", "FP_AOI6",
                                 "FP_AOI6", "SP_AOI1", "0", "FP_AOI5", "FP_AOI6",
                                 "SP_AOI1" ),
                      fix_min = c( "FP_AOI1", "FP_AOI1", "FP_AOI2", "FP_AOI2",
                                   "FP_AOI3", "FP_AOI4", "FP_AOI7", "FP_AOI7",
                                   "FP_AOI7", "FP_AOI7", "SP_AOI3", "SP_AOI3",
                                   "SP_AOI7", "SP_AOI4", "SP_AOI4", "SP_AOI4",
                                   "FP_AOI5", "SP_AOI2", "SP_AOI2", "SP_AOI4",
                                   "SP_AOI2", "SP_AOI1", "SP_AOI1", "FP_AOI6",
                                   "FP_AOI6", "SP_AOI1", "SP_AOI3", "SP_AOI5",
                                   "SP_AOI6", "SP_AOI1" ),
                      rereading =  c( "FPF_AOI1", "FPF_AOI1", "FPF_AOI1", "FPF_AOI1",
                                      "FPR_AOI1", "FPF_AOI1", "FPF_AOI1", "FPF_AOI1",
                                      "FPF_AOI1", "FPF_AOI1", "FPF_AOI1", "FPF_AOI1",
                                      "FPR_AOI1", "FPR_AOI1", "FPR_AOI1", "FPF_AOI1",
                                      "FPF_AOI2", "FPF_AOI2", "SP_AOI1", "FPF_AOI2",
                                      "FPF_AOI2", "FPF_AOI2", "FPF_AOI2", "FPF_AOI2",
                                      "FPF_AOI2", "FPF_AOI2", "FPF_AOI2", "FPF_AOI2",
                                      "FPF_AOI2", "FPR_AOI2", "FPR_AOI2", "FPR_AOI2",
                                      "FPR_AOI2", "FPF_AOI2", "FPF_AOI3", "FPF_AOI3",
                                      "FPR_AOI3" ),
                      rereading_zeros =  c( "FPF_AOI1", "FPF_AOI1", "FPF_AOI1",
                                            "FPF_AOI1","FPR_AOI1", "FPF_AOI1",
                                            "FPF_AOI1", "FPF_AOI1", "FPF_AOI1",
                                            "FPF_AOI1", "FPF_AOI1", "FPF_AOI1",
                                            "FPR_AOI1", "FPR_AOI1", "FPR_AOI1",
                                            "FPF_AOI1", "0", "0", "SP_AOI1", "0",
                                            "0", "0", "0", "0", "0", "0", "0",
                                            "0", "0", "0", "0", "0", "0", "0",
                                            "FPF_AOI3", "FPF_AOI3", "FPR_AOI3" ),
                      transitions = c( 0, 0, "AOI1-AOI2", 0, "AOI2-AOI3", "AOI3-AOI4",
                                       "AOI4-AOI7", 0, 0, 0, "AOI7-AOI3", 0,
                                       "AOI3-AOI7", "AOI7-AOI4", 0, 0, "AOI4-AOI5",
                                       "AOI5-AOI2", 0, "AOI2-AOI4",  "AOI4-AOI2",
                                       "AOI2-AOI1", 0, "AOI1-AOI6", 0, "AOI6-AOI1",
                                       "AOI1-AOI3", "AOI3-AOI5", "AOI5-AOI6", "AOI6-AOI1" ),
                      fixDur = list( 
                        firstSecondPass = 
                          data.frame( AOI = c( "AOI1", "AOI2", "AOI3", "AOI4",
                                               "AOI5", "AOI6","AOI7" ),
                                      FirstPass = c( 956, 967, 1070, 1183, 373,
                                                     870, 944 ),
                                      SecondPass = c( 133, 323, 210,  157, 0, 0,
                                                      320 ),
                                      stringsAsFactors = F ),
                        rereading = data.frame( AOI = c( "AOI1", "AOI2", "AOI3" ),
                                                FirstPassForward = c( 3446, 3163,
                                                                      564),
                                                FirstPassRereading = c( 830, 1043,
                                                                        217 ), 
                                                SecondPass = c( 447, 0, 0 ),
                                                stringsAsFactors = F ),
                        unFixed = data.frame( AOI = c( "AOI1", "AOI2", "AOI3", "AOI4" ),
                                              FirstPassForward = c( 3446, 3163,
                                                                    564, 0),
                                              FirstPassRereading = c( 830, 1043,
                                                                      217, 0 ), 
                                              SecondPass = c( 447, 0, 0, 0 ),
                                              stringsAsFactors = F ),
                        outFix = data.frame( AOI = c( "0", "AOI1", "AOI2", "AOI3" ),
                                             FirstPassForward = c( 988, 3446, 3163,
                                                                   564),
                                             FirstPassRereading = c( 0, 830, 1043,
                                                                     217 ), 
                                             SecondPass = c( 0, 447, 0, 0 ),
                                             stringsAsFactors = F ),
                        AOI = data.frame( AOI = c( "AOI1", "AOI2", "AOI3", "AOI4",
                                                   "AOI5", "AOI6", "AOI7" ),
                                          duration = c( 1089, 1290, 1280, 1340,
                                                        373, 870, 1264 ),
                                          stringsAsFactors = F )
                        )
)